Alokai

SapccApiGetCartPromotionsRequest

Request parameters for getCartPromotions operation in SapccApi. SapccApiGetCartPromotionsRequest

interface SapccApiGetCartPromotionsRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiGetCartPromotions
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiGetCartPromotions
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetCartPromotions
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiGetCartPromotions

On this page